Subject: Re: bug#71510: 30.0.50; kill-this-buffer must be bound to an event with parameters

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Jun 2024 13:50:23 +0300

> Date: Wed, 12 Jun 2024 14:51:48 +0200
> Cc: [email-masked]
> From: Mattias <[email-masked]>
> 
> Hi Eli,
> 
> Thanks for your answer. To make it clear, I don't pretend that it's a 
> bug, I just noticed that the previous behaviour is no longer maintained. 
> The doc associated to the function states that:
> 
>      When called in the minibuffer, get out of the minibuffer
>      using `abort-recursive-edit'.
> 
>      This command can be reliably invoked only from the menu bar,
>      otherwise it could decide to silently do nothing."
> 
> So it looks like now the behaviour is enforced but the error message is 
> a bit underwhelming and the error trace doesn't help to understand 
> what's happening.
> 
> Anyway, thanks a lot for your answer, I'll now use `kill-current-buffer`

I've now mentioned kill-current-buffer in the doc string, and I'm
therefore closing this bug.